Last Comment Bug 700565 - NPE at GeckoSoftwareLayerClient.java 145
: NPE at GeckoSoftwareLayerClient.java 145
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 21:59 PST by Doug Turner (:dougt)
Modified: 2012-01-09 11:22 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments

Description Doug Turner (:dougt) 2011-11-07 21:59:34 PST
W/System.err(29797): java.lang.NullPointerException
W/System.err(29797): 	at org.mozilla.fennec.gfx.GeckoSoftwareLayerClient.endDrawing(GeckoSoftwareLayerClient.java:145)
W/System.err(29797): 	at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err(29797): 	at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err(29797): 	at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:441)
W/System.err(29797): 	at org.mozilla.gecko.GeckoApp$1GeckoTask.doInBackground(GeckoApp.java:394)
W/System.err(29797): 	at org.mozilla.gecko.GeckoApp$1GeckoTask.doInBackground(GeckoApp.java:343)
W/System.err(29797): 	at android.os.AsyncTask$2.call(AsyncTask.java:185)
W/System.err(29797): 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:306)
W/System.err(29797): 	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
W/System.err(29797): 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1088)
W/System.err(29797): 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:581)
W/System.err(29797): 	at java.lang.Thread.run(Thread.java:1019)


i see this at start.  probably harmless.  should test for null?
Comment 1 Doug Turner (:dougt) 2011-11-21 19:58:26 PST
this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.